Get department

Prev Next

Available in Classic and VPC

Get department details.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /ncloudmcc/v1/companies/{companyId}/depts/{externalKey}

Request headers

For information about the headers common to all Media Connect Center APIs, see Media Connect Center request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
companyId String Required Integration key
  • Check from console: Media Connect Center > Developers > Basic settings > Integration key
externalKey String Required Department external key

Request example

The request example is as follows:

curl --location --request GET 'https://ncloudmcc.apigw.ntruss.com/ncloudmcc/v1/companies/2b64fc1e-6e9c-40dc-8b40-991bcaada5ef/depts/hg-tw-md' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'x-ncp-region_code: KR' \
--header 'Content-Type: application/json'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
dept Object - Department Information
dept.uprDeptExternalKey String - Parent department external key
  • If there is no top-level code, it is displayed as null.
dept.name String - Department name
dept.i18nNames Object - Department multilingual name
dept.i18nNames.{locale} String - Department name by language
  • "Language code": "Value" format
  • Display the registered value among Korean, English, and Japanese.
dept.sortOrd Number - Query display order
dept.externalKey String - External department key

Response status codes

For information about the HTTP status codes common to all Media Connect Center APIs, see Media Connect Center response status codes.

Response example

The response example is as follows:

{
    "dept": {
        "uprDeptExternalKey": "",
        "name": "Manual Development Team",
        "i18nNames": {
            "ko_KR": "매뉴얼개발팀",
            "en_US": "Manual Development Team"
        },
        "sortOrd": 1,
        "externalKey": "hg-tw-md"
    }
}